﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        #wrapper {
            width: 1010px;
        }

        .qsf-ib {
            display: inline-block;
            *zoom: 1;
            *display: inline;
            vertical-align: top;
        }
        .rie-wrapper {
            width: 650px;
            margin-left: 20px;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        </telerik:RadScriptManager>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" OnAjaxRequest="RadAjaxManager1_AjaxRequest">
            <AjaxSettings>
                <telerik:AjaxSetting AjaxControlID="RadAjaxManager1">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="RadImageEditor1" LoadingPanelID="RadAjaxLoadingPanel1"></telerik:AjaxUpdatedControl>
                    </UpdatedControls>
                </telerik:AjaxSetting>
            </AjaxSettings>
        </telerik:RadAjaxManager>
        <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server"></telerik:RadAjaxLoadingPanel>
        <div id="wrapper">
            <telerik:RadFileExplorer RenderMode="Lightweight" ID="RadFileExplorer1" runat="server"
                OnClientItemSelected="FileExplorer_OnClientItemSelected" OnClientLoad="fileExplorer_load">
                <Configuration SearchPatterns="*.jpg *.jpeg *.gif *.png *.bmp" />
            </telerik:RadFileExplorer>
            <telerik:RadImageEditor RenderMode="Lightweight" ID="RadImageEditor1" runat="server" Width="740px" Height="434px"
                OnClientSaved="ImageEditor_OnClientSaved" />
            <telerik:RadCodeBlock runat="server">
                <script type="text/javascript">
                    var fileExplorer;

                    function fileExplorer_load(sender, args) {
                        fileExplorer = sender;
                    }

                    function FileExplorer_OnClientItemSelected(explorer, args) {
                        var item = args.get_item(); //get reference of the selected item
                        var path = item.get_path(); //get the path of the selected image
                        if (!item.isDirectory()) {
                            setTimeout(function () {
                                getAjaxManager().ajaxRequest(path); //Invoke AJAX request to load the new image inside ImageEditor
                            }, 0);
                        }
                    }

                    function ImageEditor_OnClientSaved(imgEditor, args) {
                        fileExplorer.clearFolderCache(); //clear the folder cache to force RadFileExplorer repopulate the folders
                        fileExplorer.refresh(args.get_fileName()); //refresh the explorer to display newly saved image
                    }

                    function getAjaxManager() {
                        return $find("<%= RadAjaxManager1.ClientID%>");
                }
                </script>
            </telerik:RadCodeBlock>
        </div>
    </form>
</body>
</html>
