﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class Default : System.Web.UI.Page
{
    private string pathToImage = "/Images/Tulips.jpg"; //initially loaded image
    private string[] paths = new string[] { "~/Images" };
    protected void Page_Load(object sender, EventArgs e)
    {
        
        if (!IsPostBack)
        {
            ConfigureControls();
        }
        

    }

    private void ConfigureControls()
    {
        RadFileExplorer1.Configuration.ViewPaths = paths;
        RadFileExplorer1.Configuration.DeletePaths = paths;
        RadFileExplorer1.Configuration.UploadPaths = paths;
        RadFileExplorer1.Configuration.SearchPatterns = new string[] { "*.jpg", "*.jpeg", "*.gif", "*.png", "*.bmp" };
        RadFileExplorer1.EnableOpenFile = false;

        RadFileExplorer1.InitialPath = pathToImage;
        RadImageEditor1.ImageUrl = "~" + pathToImage;
    }

    protected void RadAjaxManager1_AjaxRequest(object sender, AjaxRequestEventArgs e)
    {
        RadImageEditor1.ResetChanges();
        RadImageEditor1.ImageUrl = e.Argument;
    }


}
